function getBlockElements(contentDiv) {
  const blockDiv = document.createElement("div");
  const descButton = document.createElement('button');
  descButton.textContent = 'Add Description';
  const imgButton = document.createElement('button');
  imgButton.textContent = 'Add Image';
  const h = document.createElement("H2");
  const input = document.createElement("INPUT");
  input.setAttribute("type", "text");
  const inputButton = document.createElement('button');
  inputButton.textContent = 'Title新增/修改';
  contentDiv.appendChild(blockDiv);
  blockDiv.append(h, input, inputButton, descButton, imgButton);
  return {
    blockDiv: blockDiv,
    h: h,
    titleInput: input,
    inputButton: inputButton,
    descButton: descButton,
    imgButton: imgButton
  };
}

function getdescElements(blockDiv) {
  const descDiv = document.createElement("div");
  const p = document.createElement("p");
  const descTextArea = document.createElement("TEXTAREA");
  descTextArea.setAttribute("type", "text");
  const descInputButton = document.createElement('button');
  descInputButton.textContent = 'Description新增/修改';
  blockDiv.appendChild(descDiv);
  descDiv.append(p, descTextArea, descInputButton);
  return {
    p: p,
    descTextArea: descTextArea,
    descInputButton: descInputButton
  };
}

function getImgElements(blockDiv) {
  const imgDiv = document.createElement("div");
  const img = document.createElement("img");
  const imgInput = document.createElement("INPUT");
  const widthInput = document.createElement("INPUT");
  const heightInput = document.createElement("INPUT");
  const imgInputButton = document.createElement('button');
  imgInputButton.textContent = 'Image新增/修改';
  blockDiv.appendChild(imgDiv);
  imgDiv.append(img, imgInput, widthInput, heightInput, imgInputButton);
  return {
    img: img,
    imgInput: imgInput,
    widthInput: widthInput,
    heightInput: heightInput,
    imgInputButton: imgInputButton
  };
}
